Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01480 Graphics Minor Always Mar 11, 2008, 05:21 Apr 6, 2008, 07:25
Tester robiza View Status Public Platform MAME (Official Binary)
Assigned To robiza Resolution Fixed OS Windows 2000
Status [?] Resolved Driver gyruss.cpp
Version 0.123u4 Fixed in Version 0.123u5 Build Normal
Summary 01480: gyruss, gyrussce, venus: graphic garbage for one frame
Description when a planet disappear from the screen (i.e. when you insert a coin), only for a frame the planet appear like garbage in the wrong position
in old mame version the bug is not present
Steps To Reproduce insert a coin or wait in attract mode
Additional Information i have tried to get a snapshot but is very difficult
Flags
Regression Version
Affected Sets / Systems gyruss, gyrussce, venus
Attached Files
png file icon snap.png (115,077 bytes) Mar 11, 2008, 09:34
png file icon 0000.png (1,437 bytes) Mar 13, 2008, 16:36
zip file icon 1.zip (7,276 bytes) Mar 13, 2008, 16:37
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.00090
etabeta
Developer
Mar 11, 2008, 09:34
but not impossible ;)
User avatar
No.00091
zsoltvasvari
Developer
Mar 11, 2008, 10:15
The driver should be more accurate now than before. I'd like proof that this doesn't happen on the real machine before start chasing this down.
User avatar
No.00093
Tafoid
Administrator
Mar 11, 2008, 13:52
To be honest, I've seen a lot of one frame only bugs turn out to be original behavior in the end. It's good this is listed as possible, at least.
User avatar
No.00102
Kold666
Developer
Mar 12, 2008, 23:01
I had a bootleg pcb for sometime and I am resonably sure this bug didn't happen on real hardware.
Since I repaired a sprite problem on that bootleg, I payed a lot of attention to gfx, I don't remember that garbage.
btw I agree we should have proof from real hardware
User avatar
No.00103
robiza
Developer
Mar 12, 2008, 23:04
edited on: May 31, 2012, 05:35
when the sprites exit from the screen at the top of the screen they appear at the bottom; this it's not a bug

in this video you can see this (33 seconds)


in this video you can't see the graphic garbage when the planet disappear
in mame you see the garbage in the same situation

in this video the high scores table appear from the bottom
in mame the high score table appears in only a frame

another link; in this the high score table appears in only a frame but there isn't the graphic bug


maybe the problem is related to these infos:
27 a701 Semaphore system: tells 6809 to draw queued sprites
28 a702 Semaphore system: tells 6809 to queue sprites
User avatar
No.00104
robiza
Developer
Mar 13, 2008, 07:48
ok
the problem is the sync between cpu#1 and cpu#2

it's necessary to specify a interleave value:

MDRV_INTERLEAVE(100)

fix will be submitted
User avatar
No.00106
zsoltvasvari
Developer
Mar 13, 2008, 09:11
What about the transparency of the text over the sprites? MAME currently checks a bit and if it is set, it draw the text opaque. But in that video (at 31 sec), it clearly looks like that the sprite is over the lives remaaining indicator.
User avatar
No.00108
robiza
Developer
Mar 13, 2008, 15:56
edited on: Mar 13, 2008, 16:37
in mame too (see the snap)
yet a piece of the sprite is covered by a black square

the savestate is with cheat active
User avatar
No.00109
Tafoid
Administrator
Mar 13, 2008, 18:12
Original bug fixed. If you have other issues, please make a new bug report to address those.